<?xml version='1.0' encoding='utf-8'?>
<!DOCTYPE hibernate-configuration PUBLIC
        "-//Hibernate/Hibernate Configuration DTD 3.0//EN"
        "http://hibernate.sourceforge.net/hibernate-configuration-3.0.dtd">

<hibernate-configuration>

    <session-factory>

        <!-- Parâmetros de conexão ao banco de dados -->
        <property name="connection.driver_class">org.hsqldb.jdbcDriver</property>
        <property name="connection.url">jdbc:hsqldb:clientes</property>
        <property name="connection.username">sa</property>
        <property name="connection.password"></property>

        <!-- Pool de conexões interno -->
        <property name="connection.pool_size">1</property>

        <!-- Dialeto SQL do banco -->
        <property name="dialect">org.hibernate.dialect.HSQLDialect</property>

        <!-- Exibe comandos SQL na saída padrão -->
        <property name="show_sql">false</property>

        <!-- Arquivos de mapeamento OO/Relacional -->
        <mapping resource="jm28/Cliente.hbm.xml"/>
        <mapping resource="jm28/Categoria.hbm.xml"/>

    </session-factory>

</hibernate-configuration>
